Bug 509215 - Upgradable Packages list in SDC has no visible indicators of package architectures
Upgradable Packages list in SDC has no visible indicators of package architec...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Steve Salevan
:
Depends On:
Blocks: 471789
  Show dependency treegraph
 
Reported: 2009-07-01 15:16 EDT by Steve Salevan
Modified: 2009-09-10 14:44 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:44:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-07-01 15:16:21 EDT
Description of problem:
If a user with an x86_64 box registered to a Satellite visits the Upgradable Packages page in its respective SDC, located here:

/rhn/systems/details/packages/UpgradableList.do?sid=<sid>

there will be no visible indicators as to the architecture of the packages available to install.

Version-Release number of selected component (if applicable):
530, 6/25 build

How reproducible:
Always

Steps to Reproduce:
1. Register an x86_64 box to a Satellite
2. Visit its SDC
3. Software->Packages->Upgrade
  
Actual results:
No architectures listed for upgradable packages

Expected results:
Architectures listed

Additional info:
Comment 1 Brad Buckingham 2009-07-09 10:30:33 EDT
master git commit: 9786099b19ab667e0d1b7d830d621e948d659d8a
vader git commit: 5618570627de13e840cc2af369b500b7b3995379

The package arch should now be displayed in the Latest and Installed Package columns, if it is available.
Comment 2 Jay Dobies 2009-07-14 14:54:42 EDT
Verified in the 2009.07.09 build
Comment 3 Milan Zázrivec 2009-08-09 12:17:57 EDT
Verified in stage -> RELEASE_PENDING.
Comment 4 Brandon Perkins 2009-09-10 14:44:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.